gnutls_protocol_list(3)

NAME
gnutls_protocol_list - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const gnutls_protocol_t * gnutls_protocol_list( void);

ARGUMENTS

void

DESCRIPTION
Get a list of supported protocols, e.g. SSL 3.0, TLS 1.0 etc.

RETURNS
Return a zero-terminated list of gnutls_protocol_t integers indicating the available protocols.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.